package com.ruoyi.project.ticket.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 延期票主体对象对象 t_delay_permit
 *
 * @author ruoyi
 * @date 2021-12-23
 */
public class TDelayPermit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 延期票ID */
    @Excel(name = "延期票ID")
    private Long vId;

    /** 危害工作许可证ID */
    @Excel(name = "危害工作许可证ID")
    private Long aId;

    /** 动火工作许可证ID */
    @Excel(name = "动火工作许可证ID")
    private Long hId;

    /** 限制性空间进入许可证ID */
    @Excel(name = "限制性空间进入许可证ID")
    private Long cId;

    /** 延期票附属数据ID */
    @Excel(name = "延期票附属数据ID")
    private Long otherId;

    private List<TDelayPermitOther> others;

    public List<TDelayPermitOther> getOthers() {
        return others;
    }

    public void setOthers(List<TDelayPermitOther> others) {
        this.others = others;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setvId(Long vId)
    {
        this.vId = vId;
    }

    public Long getvId()
    {
        return vId;
    }
    public void setaId(Long aId)
    {
        this.aId = aId;
    }

    public Long getaId()
    {
        return aId;
    }
    public void sethId(Long hId)
    {
        this.hId = hId;
    }

    public Long gethId()
    {
        return hId;
    }
    public void setcId(Long cId)
    {
        this.cId = cId;
    }

    public Long getcId()
    {
        return cId;
    }
    public void setOtherId(Long otherId)
    {
        this.otherId = otherId;
    }

    public Long getOtherId()
    {
        return otherId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("vId", getvId())
            .append("aId", getaId())
            .append("hId", gethId())
            .append("cId", getcId())
            .append("otherId", getOtherId())
            .toString();
    }
}
